.\"	$NetBSD: cgfourteen.4,v 1.5 2001/09/11 22:52:57 wiz Exp $
.\"
.\" Copyright (c) 1996 The President and Fellows of Harvard College.
.\" All rights reserved.
.\" Copyright (c) 1996 The NetBSD Foundation, Inc. All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Paul Kranenburg.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"        This product includes software developed by the Harvard
.\"        University and its contributors.
.\"        This product includes software developed by the NetBSD
.\"        Foundation, Inc. and its contributors.
.\" 4. Neither the name of The NetBSD Foundation nor the names of its
.\"    contributors may be used to endorse or promote products derived
.\"    from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\" Based on tcx.4,
.\"	NetBSD: tcx.4,v 1.2 1996/06/21 22:35:06 pk Exp
.\"
.Dd June 23, 1996
.Dt CGFOURTEEN 4 sparc
.Os
.Sh NAME
.Nm cgfourteen
.Nd Sun accelerated 8/24-bit color frame buffer
.Sh SYNOPSIS
.Cd "cgfourteen* at obio?"
.Sh DESCRIPTION
The
.Nm cgfourteen
is a memory based color frame buffer, with graphics acceleration and
overlay capabilities. Its pixel memory can be mapped into a user process
address space by using
the
.Xr mmap 2
system call.
The
.Nm
driver supports the minimal ioctl's needed to run
.Xr X 1 .
.Pp
The driver operates by default in
.Xr cgthree 4
emulation mode, i.e.
in 8-bit unaccelerated mode.
This emulation does include support for the hardware cursor present on the
.Nm cgfourteen ,
however.
.Sh SEE ALSO
.Xr bwtwo 4 ,
.Xr cgtwo 4 ,
.Xr cgthree 4 ,
.Xr cgfour 4 ,
.Xr cgsix 4 ,
.Xr cgeight 4 ,
.Xr tcx 4
